## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# VariablesStack::StackEntry Class Reference

Collaboration diagram for VariablesStack::StackEntry:

[legend]
List of all members.

## Public Types

- enum eType {
  eContextMarker, eVariable, eParam, eActiveParam,
  eElementFrameMarker, eNextValue
  }
    Enumeration for types of stack entries, one of context state, context marker, element marker, or argument. More...

## Public Member Functions

- StackEntry ()
    Construct a context marker.
- StackEntry (const XalanQName *name, const XObjectPtr &val, bool isParam=false)
    Construct a variable that is already evaluated.
- StackEntry (const XalanQName *name, const ElemVariable *var, bool isParam=false)
    Construct a variable that has not been evaluated yet.
- StackEntry (const ElemTemplateElement *elem)
    Construct an element frame marker.
- StackEntry (const StackEntry &theSource)
    Copy constructor...
- ~StackEntry ()
    Destructor...
- eType getType () const
    Determine type of stack entry.
- const XalanQName * getName () const
    Retrieve object name.
- const XObjectPtr & getValue () const
    Retrieve object's XObject pointer.
- void setValue (const XObjectPtr &theValue)
    Retrieve object's XObject pointer.
- const ElemVariable * getVariable () const
    Retrieve object's XObject pointer.
- void activate ()
- void deactivate ()
- const ElemTemplateElement * getElement () const
    Retrieve the ElemTemplateElem where frame begins.
- StackEntry & operator= (const StackEntry &theRHS)
- bool operator== (const StackEntry &theRHS) const

## Member Enumeration Documentation

enum VariablesStack::StackEntry::eType

  | Enumeration for types of stack entries, one of context state, context marker, element marker, or argument. Enumeration values:
  eContextMarker |
  eVariable |
  eParam |
  eActiveParam |
  eElementFrameMarker |
  eNextValue |

## Constructor & Destructor Documentation

VariablesStack::StackEntry::StackEntry | ( |  | ) | `[explicit]`

| Construct a context marker.

VariablesStack::StackEntry::StackEntry | ( | const XalanQName * | name,
|  | const XObjectPtr & | val,
|  | bool | isParam = false
| ) |

| Construct a variable that is already evaluated.

VariablesStack::StackEntry::StackEntry | ( | const XalanQName * | name,
|  | const ElemVariable * | var,
|  | bool | isParam = false
| ) |

| Construct a variable that has not been evaluated yet.

VariablesStack::StackEntry::StackEntry | ( | const ElemTemplateElement * | elem | ) |

| Construct an element frame marker.

VariablesStack::StackEntry::StackEntry | ( | const StackEntry & | theSource | ) |

| Copy constructor...

VariablesStack::StackEntry::~StackEntry | ( |  | ) |

| Destructor...

## Member Function Documentation

void VariablesStack::StackEntry::activate | ( |  | ) |

void VariablesStack::StackEntry::deactivate | ( |  | ) |

const ElemTemplateElement* VariablesStack::StackEntry::getElement | ( |  | ) | const

| Retrieve the ElemTemplateElem where frame begins. Valid only for element frame markers Returns: ElemTemplateElement corresponding to marker

const XalanQName* VariablesStack::StackEntry::getName | ( |  | ) | const

| Retrieve object name. Valid only for variables Returns: qualified name of object

eType VariablesStack::StackEntry::getType | ( |  | ) | const

| Determine type of stack entry. Returns: enumeration value for type

const XObjectPtr& VariablesStack::StackEntry::getValue | ( |  | ) | const

| Retrieve object's XObject pointer. Valid only for variables Returns: pointer to XObject

const ElemVariable* VariablesStack::StackEntry::getVariable | ( |  | ) | const

| Retrieve object's XObject pointer. Valid only for variables Returns: pointer to XObject

StackEntry& VariablesStack::StackEntry::operator= | ( | const StackEntry & | theRHS | ) |

bool VariablesStack::StackEntry::operator== | ( | const StackEntry & | theRHS | ) | const

void VariablesStack::StackEntry::setValue | ( | const XObjectPtr & | theValue | ) |

| Retrieve object's XObject pointer. Valid only for variables Returns: pointer to XObject

The documentation for this class was generated from the following file:

- VariablesStack.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.